package Methoden_Referenzen;

import java.util.*;


public class Statische_Methoden_Referenzen {

	public static void main(String[] args) {
        List<String> zahlenStrings = Arrays.asList("1", "2", "3", "4");
        
        // Statische Methoden-Referenz zu Integer::parseInt
        zahlenStrings.stream()
                     .map(Integer::parseInt) // statische Integer.parseInt wird für jedes Element aufgerufen
                     .forEach(System.out::println);
    }
	
	

}
